///////////////////
//              //
//      13      //
//              //
//////////////////
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient,
  Spin, StdCtrls, ExtCtrls;

type
  Epripojeni = class(exception)  // vyjmka, kter se vyvol pi chyb pipojen na server
                 end;
  Eodpojeni = class(exception)   // vyjmka, kter se vyvol pi chyb odpojen
                end;
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    btnlog: TButton;
    edthost: TEdit;
    Label1: TLabel;
    spnport: TSpinEdit;
    Label2: TLabel;
    cli: TIdTCPClient;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    btnlogout: TButton;
    btnkonec: TButton;
    edtodkud: TEdit;
    edtkam: TEdit;
    btnodes: TButton;
    Label3: TLabel;
    Label4: TLabel;
    memodp: TMemo;
    edtcilolink: TEdit;
    Label5: TLabel;
    procedure btnlogClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnlogoutClick(Sender: TObject);
    procedure btnkonecClick(Sender: TObject);
    procedure btnodesClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnlogClick(Sender: TObject);
begin
  if not cli.Connected then
    begin
      try
        cli.Host:=edthost.Text;       // rzn nastaven ... (port, ip adresa)
        cli.Port:=spnport.Value;
        cli.Connect;                  // pipojen
        if cli.Connected then              // pokud je pipojeno
          memodp.Lines.Add('Pipojeno');    // tak to napi
      except
        raise Epripojeni.Create('Nepodailo se pipojit');  // vyvoln vyjmky
      end;
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  edthost.Text:='localhost';       // nasteven potench daj
  spnport.Value:=80;
end;

procedure TForm1.btnlogoutClick(Sender: TObject);
begin
  try                                     // odpojen klienta
    cli.Disconnect;
  except
    raise Eodpojeni.Create('Nepodailo se odpojit, je to smla :-)');       // vyvoln vyjmky
  end;
end;

procedure TForm1.btnkonecClick(Sender: TObject);
begin
  close;        // konec
end;

procedure TForm1.btnodesClick(Sender: TObject);
begin
  if cli.Connected then                         // odesln parametr
    begin
      cli.WriteLn(edtodkud.Text);                // odkud
      cli.WriteLn(edtkam.text);                  // kam
      cli.WriteLn(edtcilolink.text);            // cislo linky
      memodp.Lines.Add('Odesln poadavek odkud: '+edtodkud.Text);             // zapsn odepsanch hodnot
      memodp.Lines.Add('Odesln poadavek kam: '+edtkam.Text);
      memodp.Lines.Add('Odesln poadavek slo linky: '+edtcilolink.Text);
      memodp.Lines.LoadFromFile('data.xml');                // naten souboru data.xml
    end;
end;

end.
