////////////////////////
//                    //
//        13          //
//                    //
////////////////////////

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Spin, IdBaseComponent, IdComponent,
  IdTCPServer;

type
  TForm1 = class(TForm)
    srv: TIdTCPServer;
    memudal: TMemo;
    Label1: TLabel;
    GroupBox1: TGroupBox;
    btnzap: TButton;
    ukazatel: TShape;
    Label2: TLabel;
    btnvyp: TButton;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    memdata: TMemo;
    Label4: TLabel;
    Label3: TLabel;
    procedure btnzapClick(Sender: TObject);
    procedure btnvypClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure srvConnect(AThread: TIdPeerThread);
    procedure srvDisconnect(AThread: TIdPeerThread);
    procedure srvExecute(AThread: TIdPeerThread);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  odkud, kam, cislo: string;           // promnn do kterch se ukldaj data pichzejc od klienta
  vybrano: boolean;         // je vybrn datov soubor ?
  i: integer;   // poet pipojench klient
implementation

{$R *.dfm}

procedure TForm1.btnzapClick(Sender: TObject);
begin
  if vybrano=true then
    begin
      try                               // nastaven servru pi zapnut
        srv.Active:=true;
        ukazatel.Brush.Color:=clgreen;
        Label2.Caption:='Server je zapnut';
        memudal.Lines.Add('Server je zapnut');
        btnvyp.Enabled:=true;
        btnzap.Enabled:=false;
      except
        showmessage('Chyba pi zapnn serveru');
      end;
    end
  else
    showmessage('Nejdv vyberte soubor s daty');
end;

procedure TForm1.btnvypClick(Sender: TObject);
begin
  try                             // nastaven servru pi vypnn
    srv.Active:=false;
    ukazatel.Brush.Color:=clred;
    Label2.Caption:='Server nen zapnut';
    memudal.Lines.Add('Server je vypnut');
    btnvyp.Enabled:=false;
    btnzap.Enabled:=true;
  except
    showmessage('Chyba pi vypnn serveru');
  end;

end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  vybrano:=false;                    // nevybran dn soubor
end;

procedure TForm1.srvConnect(AThread: TIdPeerThread);
begin
  Memudal.Lines.Add('Pipojen klient');   // kdy je klient pipojen ...
  i:=i+1;
  Label3.Caption:='Je pipojeno '+(IntToStr(i))+' klient';  // vypsn potu klient
end;

procedure TForm1.srvDisconnect(AThread: TIdPeerThread);
begin
  memudal.Lines.Add('Kliet odpojen');      // kdy se klient odpojil ...
  i:=i-1;
  Label3.Caption:='Je pipojeno '+(IntToStr(i))+' klient';
end;

procedure TForm1.srvExecute(AThread: TIdPeerThread);
var
  i : integer;
begin
  odkud:=athread.Connection.ReadLn();         // petu to, co mi poslal klient
  kam:=athread.Connection.ReadLn();
  cislo:=athread.Connection.ReadLn();
  memudal.Lines.Add('Obdrena hodnota odkud: '+odkud);  // zapu to, co mi poslal klient
  memudal.Lines.Add('Obdrena hodnota kam: '+kam);
  memudal.Lines.Add('Obdrena hodnota slo linky: '+cislo);
  for i:=0 to memdata.Lines.Count do     // jako odpov mu napu vechny dky z vybranho souboru
    begin
      athread.Connection.WriteLn(memdata.Lines[i]);
    end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if opendialog1.Execute then
    begin                                // vybrn datovho souboru...
      memdata.Lines.LoadFromFile(Opendialog1.FileName);
      vybrano:=true;        // datov soubor je vxbrn
    end;
end;

end.

